View Issue Details

IDProjectCategoryView StatusLast Update
0027287LazarusIDEpublic2018-10-06 13:50
ReporterNyitrai PéterAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSXPOS VersionSP3
Product Version1.2.6Product Build46529 
Target VersionFixed in Version 
Summary0027287: Setting a smaller icon file after a bigger one corrupts project's main icon file
DescriptionIf we set a big sized icon file as project main icon through the IDE, and then replace it with a smaller icon file,
then IDE will update project icon file by writing new data to the old file, but apparently not adjusting its size.
Steps To Reproduce1. Start Lazarus IDE with new project.
2. Change project main icon to iconbig.ico (see attachments) through Project / Project Options - Project Options / Application.
3. Save project
4. Change project main icon to iconsmall.ico (see attachments) through Project / Project Options - Project Options / Application.
5. Save project again
6. Now check project's main icon file [project_name].ico (default name is project1.ico).
   Beside it contains new icon data, it sill stores the remnants of the bigger icon file. Just compare it's size with iconbig.ico, it's still the same.
Additional InformationI've renamed the corrupted project icon file to "result.ico" and sent it too.
TagsNo tags attached.
Fixed in Revisionr59244
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0027241 resolvedJuha Manninen Project options icon box too small 

Activities

Nyitrai Péter

2015-01-12 01:30

reporter  

sampleicons.zip (999 bytes)

Juha Manninen

2018-10-03 19:25

developer   ~0111227

Fixed, please test.

Nyitrai Péter

2018-10-06 13:49

reporter   ~0111279

Ok.

Nyitrai Péter

2018-10-06 13:50

reporter   ~0111280

Ok.

Issue History

Date Modified Username Field Change
2015-01-12 01:30 Nyitrai Péter New Issue
2015-01-12 01:30 Nyitrai Péter File Added: sampleicons.zip
2015-01-12 14:59 Juha Manninen Relationship added related to 0027241
2015-01-13 22:42 Maxim Ganetsky LazTarget => -
2015-01-13 22:42 Maxim Ganetsky Summary Setting a smaller icon file after a bigger one will corrupts project's main icon file. => Setting a smaller icon file after a bigger one corrupts project's main icon file
2018-10-03 19:24 Juha Manninen Assigned To => Juha Manninen
2018-10-03 19:24 Juha Manninen Status new => assigned
2018-10-03 19:25 Juha Manninen Fixed in Revision => r59244
2018-10-03 19:25 Juha Manninen Note Added: 0111227
2018-10-03 19:25 Juha Manninen Status assigned => resolved
2018-10-03 19:25 Juha Manninen Resolution open => fixed
2018-10-06 13:49 Nyitrai Péter Note Added: 0111279
2018-10-06 13:50 Nyitrai Péter Note Added: 0111280
2018-10-06 13:50 Nyitrai Péter Status resolved => closed